Module jdk.dynalink
Package jdk.dynalink.linker

## Interface MethodTypeConversionStrategy

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface MethodTypeConversionStrategy

Interface for objects representing a strategy for converting a method handle to a new type. Typical usage is for customizing a language runtime's handling of `method invocation conversions`.

### Method Summary

All Methods Instance Methods Abstract Methods
`MethodHandle` `asType​(MethodHandle target, MethodType newType)` Converts a method handle to a new type.

### Method Detail

#### asType

    MethodHandle asType​(MethodHandle target,
                        MethodType newType)

Converts a method handle to a new type.

Parameters:
  `target` - target method handle
  `newType` - new type
Returns:
  target converted to the new type.